using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using skyscraper5.Mpeg2;
using skyscraper5.Skyscraper.Plugins;

namespace skyscraper5.Dvb.Descriptors
{
	[SkyscraperPlugin]
	[TsDescriptor(0x4c,"SDT")]
    [BannedTable("TSDT","EIT")]
    class TimeShiftedServiceDescriptor : TsDescriptor
    {
        public TimeShiftedServiceDescriptor(byte[] buffer)
        {
            (buffer[0], buffer[1]) = (buffer[1], buffer[0]);
            ReferenceServiceId = BitConverter.ToUInt16(buffer, 0);
        }

        public ushort ReferenceServiceId { get; private set; }
    }
}
